Name: 		kdbg-devel
Version: 	2.1.0
Release: 	1
Copyright: 	GPL
Summary: 	KDE GUI to gdb - Graphical debugger.
Group: 		Development
Source: 	ttp://www.kdbg.org/kdbg-%{version}.tar.gz
BuildRequires:  qt-devel gdb-devel
BuildRoot: 	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
ExclusiveArch:  i386

%description
K Desktop Environment.
KDE GUI to gdb - Graphical debugger.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n kdb*

%build
configure --prefix=/opt/kde \
	  --host=i386-pc-linux-gnu \
          --build=i386-pc-linux-gnu \
	  --sysconfdir=/etc \
          --disable-debug \
	  --disable-nls \
	  --without-included-gettext \
          --disable-final \
	  --with-xinerama \
	  --with-extra-libs=/usr/lib \
	  --with-extra-includes=/usr/include \
          --with-install-root=$RPM_BUILD_ROOT \
	  --enable-audio=oss,esd \
	  --enable-tcltk \
	  --with-tcltk \
	  --with-tclx=/usr/lib

make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
